Subject: bug#48592: [PATCH 0/2] Support plural forms of Author and Maintainer library headers

From: Christopher Dimech <[email-masked]>
Date: Mon, 24 May 2021 11:22:07 +0200

> Sent: Monday, May 24, 2021 at 8:58 PM
> From: "Jonas Bernoulli" <[email-masked]>
> To: "Eli Zaretskii" <[email-masked]>, "Michael Albinus" <[email-masked]>
> Cc: "Lars Ingebrigtsen" <[email-masked]>, [email-masked]
> Subject: bug#48592: [PATCH 0/2] Support plural forms of Author and Maintainer library headers
>
> Eli Zaretskii <[email-masked]> writes:
> 
> >> [Add lm-maintainers and make lm-maintainer obsolete.]
> 
> > Fine by me as well, but:
> 
> > . I see no reason to deprecate lm-maintainer: there's nothing wrong
> >   with wanting to obtain the first name in the list;
> >
> > . Please describe in the doc string of lm-maintainer what it does when
> >   there's more than one.
> 
> The reason why I want to deprecate lm-maintainer is that this informs
> users of that function that some packages may have more than one
> maintainer and that it is now possible and (I dare say) encouraged to
> acknowledge them all.

One can extract that information from the code if history files are maintained.
In addition, you will find instances where contributors are unknown or their
contribution cannot be verified.  If it is about two or three names, it is not
much of a problem.  One can safely assume that lm-maintainer is one or more.
 
> Sure adding a note to lm-maintainer technically accomplishes the same,
> but once one has started using lm-maintainer, then one doesn't
> periodically go back to see whether a new notes have been added to its
> doc-string.  But something like this would do the trick of guiding the
> attention towards the extended functionality and its updated
> documentation:
> 
>   In package-build--desc-from-library:
>   lib/package-build/package-build.el:516:26: Warning: ‘lm-maintainer’ is an
>       obsolete function (as of 28.1); use ‘lm-maintainers’ instead.
> 
> Yes, there is nothing wrong with ignoring all but the first maintainer
> (except of course, not properly attributing the contributions of the
> others as they choose to present it), but it seems to me that having to:
> 
>   - (lm-maintainer)
>   + (car (lm-maintainers))
> 
> is perfectly acceptable in cases where only "the" maintainer can be
> mentioned because there is not enough room to display the names of all
> maintainers.  (So it is still a good idea to list the primus inter pares
> maintainer first.)

It is not beneficial to have long lists of contributor names in code.  Historical
details should be included in other files intended for that purpose.
 
>      Cheers,
>      Jonas